ANSIBLE-DOC(1)

NAME
ansible-doc - show documentation on Ansible modules

SYNOPSIS

ansible-doc [-M module_path] [-l] [-s] [module...]

DESCRIPTION

ansible-doc displays information on modules installed in Ansible libraries. It displays a terse listing of modules and their short descriptions, provides a printout of their DOCUMENTATION strings, and it can create a short "snippet" which can be pasted into a playbook.

OPTIONS

-M directory, --module-path=directory
    Add an additional directory to the default path for finding module libraries.

-s, --snippet=
    Produce a snippet which can be copied into a playbook for modification, like a kind of task template.

-l, --list=
    Produce a terse listing of modules and a short description of each.

AUTHOR

ansible-doc was originally written by Jan-Piet Mens. See the AUTHORS file for a complete list of contributors.

COPYRIGHT

Copyright © 2012, Jan-Piet Mens

Ansible is released under the terms of the GPLv3 License.

SEE ALSO

ansible-playbook(1), ansible(1), ansible-pull(1)

Extensive documentation is available in the documentation site: http://docs.ansible.com. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: https://github.com/ansible/ansible

AUTHOR

:doctype:manpage
    Author.